﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com/github/hub/releases/download/v2.8.3/hub-windows-386-2.8.3.zip'
    checksum       = '568c1d9d34db8e4d36791b9fbb7d98b44e1cd8ead7d97fe906c41fb4aa08d6f3'
    checksumType   = 'sha256'
    url64          = 'https://github.com/github/hub/releases/download/v2.8.3/hub-windows-amd64-2.8.3.zip'
    checksum64     = 'c9abae8a6c4ce2e388736806ea1df2ddf221d53eeababea056ec5e4658506659'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
